Subject: Re: A few more fixups to gitweb

From: Jakub Narebski <[email-masked]>
Date: Tue, 01 Aug 2006 09:36:54 +0200

Junio C Hamano wrote:

> One thing to note.  Please make sure that you do not see
> anything in Apache error log after you make your changes.  I do
> not remember the details but kernel.org folks were very unhappy
> earlier when gitweb spewed stuff into the error log, and if I
> recall correctly things that output to the error stream were not
> friendly to the http-server cache for some reason.

By the way, I wonder why git when cloning/fetching via http protocol
uses e.g. "git/1.4.2.rc2.ge0bed" as User-Agent: string when fetching objects
and packs, and e.g. "curl/7.15.4 (i486-pc-linux-gnu) libcurl/7.15.4
OpenSSL/0.9.8b zlib/1.2.3 libidn/0.6.5" as User-Agent: when fetching refs
(heads and tags) and info/refs.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git